import React from 'react';
import {View, Text, Image, Button} from 'react-native';
import {connect} from 'react-redux';
import SelectDropdown from 'react-native-select-dropdown';
import {Provider as PaperProvider} from 'react-native-paper';
import Icon from 'react-native-vector-icons/Ionicons';

function Login({iconPosition,options}) {
  return (
    <View>
      <SelectDropdown
        data={options}
        buttonStyle={{
          width: '100%',
          borderWidth: 1,
          borderColor: 'grey',
          borderRadius: 10,
        }}
        defaultButtonText="انتخاب کنید"
        statusBarTranslucent={true}
        buttonTextStyle={{
          textAlign: 'center',
          justifyContent: 'flex-end',
          textAlign: 'right',
          flex: 0,
          // display: 'inline'
        }}
        dropdownIconPosition={iconPosition}
        onSelect={(selectedItem, index) => {
          console.log(selectedItem, index);
        }}
        renderDropdownIcon={() => (
          <Icon name="chevron-down" size={25} color="grey" />
        )}
      />
    </View>
  );
}

export default Login;
